Total Access Docs
Openapi

Get API usage analytics

Returns aggregated analytics data for the current client's API usage. Supports time range filtering and multiple view types.

GET
/api/v1/integrations/analytics

Returns aggregated analytics data for the current client's API usage. Supports time range filtering and multiple view types.

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Query Parameters

range?string
Default"24h"

Value in

  • "1h"
  • "24h"
  • "7d"
  • "30d"
  • "90d"
view?string
Default"overview"

Value in

  • "overview"
  • "trends"
  • "endpoints"
  • "keys"
  • "status-codes"
api_key_id?integer
export?string

Value in

  • "csv"
  • "json"

Response Body

application/json

curl -X GET "https://example.com/api/v1/integrations/analytics"
{  "success": true,  "data": {}}